com.smartgwt.client.util.workflow

## Class ProcessSequence

- java.lang.Object
- - com.smartgwt.client.core.BaseClass
  - - com.smartgwt.client.util.workflow.ProcessElement
    - - com.smartgwt.client.util.workflow.ProcessSequence

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class ProcessSequence
      extends ProcessElement

  An Array of `ProcessElement`s involved in a `Process`. A `ProcessSequence` is used to reduce the number of explicit `ProcessElement.ID`s that need to be assigned, by creating an implicit next element - the next in the sequence.

  A sequence cannot be executed outside of a Process and has no state.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.BaseClass

      `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessSequence()`
    `ProcessSequence(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `ProcessSequence(ProcessElement... elements)`
    `ProcessSequence(java.lang.String ID)`
    `ProcessSequence(java.lang.String id, ProcessElement... elements)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.core.client.JavaScriptObject` | `create()`
    `ProcessElement[]` | `getElements()` The `ProcessElement`s in this sequence.
    `static ProcessSequence` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `void` | `setElements(ProcessElement... elements)` The `ProcessElement`s in this sequence.

    - ### Methods inherited from class com.smartgwt.client.util.workflow.ProcessElement

      `convertToJavaScriptArray, getID, getJsObj, getNextElement, getOrCreateJsObj, getProcessElements, isCreated, onInit, setAttribute, setID, setJavaScriptObject, setNextElement`

    - ### Methods inherited from class com.smartgwt.client.core.BaseClass

      `applyFactoryProperties, asSGWTComponent, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getRef, getScClassName, getTestInstance, hasAutoAssignedID, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setProperty, setProperty, setProperty, setProperty, setScClassName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessSequence

          public ProcessSequence()

    - #### ProcessSequence

          public ProcessSequence(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### ProcessSequence

          public ProcessSequence(java.lang.String ID)

    - #### ProcessSequence

          public ProcessSequence(ProcessElement... elements)

    - #### ProcessSequence

          public ProcessSequence(java.lang.String id,
                                 ProcessElement... elements)

  - ### Method Detail

    - #### getOrCreateRef

          public static ProcessSequence getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### create

          public com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `ProcessElement`

    - #### setElements

          public void setElements(ProcessElement... elements)
                           throws java.lang.IllegalStateException

      The `ProcessElement`s in this sequence.
      Parameters:
        `elements` - New elements value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getElements

          public ProcessElement[] getElements()

      The `ProcessElement`s in this sequence.
      Returns:
        ProcessElement